> ## Documentation Index
> Fetch the complete documentation index at: https://ekacare-mintlify-697c363f.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Profile

> This endpoint removes the specified ABHA profile along with all associated documents, vital records, and any other related data from the system.<Warning>Please note that the ABHA metadata will remain in the ABDM system, as ABDM does not provide a delete option</Warning>



## OpenAPI

````yaml delete /abdm/v1/profile
openapi: 3.1.0
info:
  description: ABHA Registration and login APIs
  title: Registration
  version: 1.0.0
servers:
  - description: Production
    url: https://api.eka.care
  - description: Stage/Sandbox
    url: https://api.dev.eka.care
security: []
paths:
  /abdm/v1/profile:
    delete:
      description: >-
        This endpoint removes the specified ABHA profile along with all
        associated documents, vital records, and any other related data from the
        system.<Warning>Please note that the ABHA metadata will remain in the
        ABDM system, as ABDM does not provide a delete option</Warning>
      parameters:
        - description: Eka User ID (OID)
          in: header
          name: X-Pt-Id
          schema:
            type: string
        - description: Partner User ID
          in: header
          name: X-Partner-Pt-Id
          schema:
            type: string
        - description: Partner HIP ID
          in: header
          name: X-Hip-Id
          schema:
            type: string
        - description: OID is used to Identify the user.
          in: query
          name: oid
          schema:
            description: OID is used to Identify the user.
            type: string
      responses:
        '204':
          description: No Content
        4XX:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenericError'
          description: ''
        5XX:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenericError'
          description: ''
      security:
        - authApiKey: []
components:
  schemas:
    GenericError:
      properties:
        code:
          type: integer
        error:
          type: string
        source_error:
          $ref: '#/components/schemas/SourceErr'
      type: object
    SourceErr:
      properties:
        code:
          type: string
        message:
          type: string
      type: object
  securitySchemes:
    authApiKey:
      description: The API requires a Bearer token (JWT) for authentication.
      scheme: bearer
      type: http

````